--- ./utils/indigo-deco/CMakeLists.txt	2018-12-31 21:35:36.292957174 +0100
+++ ./utils/indigo-deco/CMakeLists.txt.orig	2018-12-31 21:35:29.588883705 +0100
@@ -5,7 +5,7 @@
 include(DefineTest)
 include_directories(../../api ../../common)
 
-add_executable(indigo-deco main.c)
+add_executable(indigo-deco main.c ${Common_SOURCE_DIR}/base_c/os_dir_posix.c)
 target_link_libraries(indigo-deco indigo-shared)
 if (UNIX)
     set_target_properties(indigo-deco PROPERTIES LINK_FLAGS "-pthread")
